{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-10">
          <form method="post">
            {% csrf_token %}

            <!-- Input addon -->
            <!-- card -->
            <div class="card">

              {% if obj %}
              <div class="card-warning">
                {% else %}
                <div class="card-success">
                  {% endif %}

                  <div class="card-header">
                    <h3 class="card-title text-uppercase">Clientes</h3>
                  </div>

                  <!-- <img class="card-img-top p-4" src="{% static 'dist/img/localidad.svg' %}" style="height: 200px; width: 200px;" alt="Card image"> -->
                  <!-- card-body -->
                  <div class="card-body">
                    <!-- fila 1 -->
                    <div class="row mt-2">
                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_nombres" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">{{ form.nombres.label }}: <i
                              class="fa fa-asterisk badge-warning"></i></label>
                              <!-- {{ form.nombres }} -->
                              <input type="text" class="form-control" name="nombres" id="id_nombres"
                              placeholder="" autocomplete="off" autofocus value="{{ obj.nombres }}" required>
                        </div>
                      </div>
                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_ap_paterno" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">APELLIDO PATERNO: <i
                              class="fa fa-asterisk badge-warning"></i></label>
                              <!-- {{ form.ap_paterno }} -->
                              <input type="text" class="form-control" name="ap_paterno" id="id_ap_paterno"
                              placeholder="" autocomplete="off" autofocus value="{{ obj.ap_paterno }}" required>
                        </div>
                      </div>
                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_ap_materno" class="text-sm text-uppercase font-weight-lighter"
                            style="font-family: Arial, Helvetica, sans-serif;">APELLIDO MATERNO:</label>
                          <!-- {{ form.ap_materno }} -->
                          <input type="text" class="form-control" name="ap_materno" id="id_ap_materno"
                          placeholder="" autocomplete="off" autofocus value="{{ obj.ap_materno }}" >
                        </div>
                      </div>
                    </div>

                    <!-- fila 2 -->
                    <div class="row mt-2">
                      <div class="col-4">
                        <!-- Date -->
                        <div class="form-group">
                          <label for="id_fecha_de_pago" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">Fecha de pago: <i class="fa fa-asterisk badge-warning"></i></label>
                          <!-- {{ form.fecha_de_pago }} -->
                          <div class="input-group date" id="reservationdate" data-target-input="nearest">
                            <input type="text" name="fecha_de_pago" id="id_fecha_de_pago"
                              class="form-control datetimepicker-input" autocomplete="off" value="{{ obj.fecha_de_pago|date:'d/m/Y' }}"
                              data-target="#reservationdate" required />
                            <div class="input-group-append" data-target="#reservationdate" data-toggle="datetimepicker">
                              <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_estatus" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">Estatus: <i
                              class="fa fa-asterisk badge-warning"></i></label>
                          {{ form.estatus }}
                          <!-- <input type="text" name="estatus" id="id_estatus" class="form-control" placeholder="Estatus.." required> -->
                        </div>
                      </div>
                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_genero" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">Genéro: <i
                              class="fa fa-asterisk badge-warning"></i></label>
                          {{ form.genero }}
                          <!-- <input type="text" name="genero" id="id_genero" class="form-control" placeholder="Genéro.." required> -->
                        </div>
                      </div>
                    </div>

                    <!-- fila 3 -->
                    <div class="row mt-2">
                      <div class="col-4">
                        <label for="id_domicilio" class="text-sm text-uppercase font-weight-lighter"
                          style="font-family: Arial, Helvetica, sans-serif;">Domicilio:</label>

                        <div class="input-group mb-3">
                          <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fa fa-building"></i></span>
                          </div>
                          <!-- {{ form.domicilio }} -->
                          <input type="text" name="domicilio" id="id_domicilio" class="form-control"
                          placeholder="" autocomplete="off" autofocus 
                          value="{% if obj.domicilio %} {{ obj.domicilio }} {% else %} {% endif %}">
                        </div>
                      </div>

                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_telefono" class="text-sm text-uppercase font-weight-lighter"
                            style="font-family: Arial, Helvetica, sans-serif;">MX Teléfono:</label>
                          <div class="input-group">
                            <div class="input-group-prepend">
                              <span class="input-group-text"><i class="fas fa-phone"></i></span>
                            </div>
                            {{ form.telefono }}
                            <!-- <input type="number" name="telefono" id="id_telefono" class="form-control" value="{{ obj.telefono }}" data-inputmask='"mask": "(999) 999-9999"' data-mask> -->
                          </div>
                          <!-- /.input group -->
                        </div>
                        <!-- /.form group -->
                      </div>

                      <div class="col-4">
                        <label for="id_correo" class="text-sm text-uppercase font-weight-lighter"
                          style="font-family: Arial, Helvetica, sans-serif;">Correo Electrónico:</label>
                        <div class="input-group mb-3">

                          <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                          </div>
                          <!-- {{ form.correo }} -->
                          <input type="email" name="correo" id="id_correo" class="form-control"
                           placeholder="" autocomplete="off" autofocus
                           value="{% if obj.correo %} {{ obj.correo }} {% else %} {% endif %}">
                        </div>
                      </div>
                    </div>

                    <!-- fila 4 -->
                    <div class="row mt-2">
                      <div class="col-4">
                        <label for="id_monto_a_pagar" class="text-sm text-uppercase font-weight-lighter"
                          style="font-family: Arial, Helvetica, sans-serif;">Monto a pagar:</label>

                        <div class="input-group">
                          <div class="input-group-prepend">
                            <span class="input-group-text">$</span>
                          </div>
                          {{ form.monto_a_pagar }}
                          <!-- <input type="text" name="monto_a_pagar" id="id_monto_a_pagar" class="form-control"> -->
                          <div class="input-group-append">
                            <span class="input-group-text">.00</span>
                          </div>
                        </div>
                      </div>

                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_localidad" class="text-sm text-uppercase text-black-50"
                            style="font-family: Arial, Helvetica, sans-serif;">Localidad: <i
                              class="fa fa-asterisk badge-warning"></i></label>
                          {{ form.localidad }}
                          <!-- <select name="localidad" id="id_localidad" class="form-control select2" style="width: 100%;" required>
                        <option selected="selected">Alabama</option>
                        <option>Alaska</option>
                        <option>California</option>
                        <option>Delaware</option>
                        <option>Tennessee</option>
                        <option>Texas</option>
                        <option>Washington</option>
                      </select> -->
                        </div>
                      </div>

                      <div class="col-4">
                        <div class="form-group">
                          <label for="id_notas" class="text-sm text-uppercase font-weight-lighter"
                            style="font-family: Arial, Helvetica, sans-serif;">Notas:</label>
                          {{ form.notas }}
                          <!-- <input type="text" name="notas" id="id_notas" class="form-control" placeholder="Notas.."> -->
                        </div>
                      </div>
                    </div>

                    <div class="dropdown-divider"></div>
                    <div class="row">
                      <div class="col-2"></div>
                      <div class="col-4">
                        <button type="submit" class="btn btn-success btn-block"><i class="fa fa-save"></i><span>
                            Guardar</span></button>
                      </div>

                      <div class="col-4">
                        <a href="{% url 'app_clientes:clientes_list' %}" class="btn btn-info btn-block"><i
                          class="fas fa-window-close"></i><span> Cancelar</span>
                        </a>
                      </div>
                      <div class="col-2"></div>
                    </div>

                  </div>
                  <!-- /.card-body -->
                </div>
                <!-- /.card-header -->
              </div>
            </div>
        </div>
        <!-- /.card -->
        </form>
        <!-- ./form -->
      </div>
    </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}


{% block js_page %}
<!-- InputMask -->
<script src="{% static 'plugins/moment/moment.min.js' %}"></script>
<script src="{% static 'plugins/inputmask/jquery.inputmask.min.js' %}"></script>

<!-- DateTimePicker -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.20/jquery.datetimepicker.full.min.js"
  integrity="sha256-FEqEelWI3WouFOo2VWP/uJfs1y8KJ++FLh2Lbqc8SJk=" crossorigin="anonymous"></script>

<!-- idioma español de Datetimepicker() -->
<script>
  $(document).ready(function () {
    jQuery.datetimepicker.setLocale('es');
  });
</script>

<script>
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_localidad').select2()

    //Initialize Select2 Elements
    $('#id_localidad').select2({
      theme: 'bootstrap4'
    })

    // input de telefono
    $('#id_telefono').inputmask()

    $("#id_fecha_de_pago").datetimepicker({
      format: 'd/m/Y',
      timepicker: false
    });

  });
</script>
{% endblock js_page %}